
package de.ivu.elect.presentation.geodata.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.geodata.menu.GeodataOrtPageMenu;

public class GeodataOrtExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public GeodataOrtExportDescription() {
    super();
  }

  @Override
  public String getExportSearchViewId() {
    return GeodataOrtExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.GEODATA_ORT_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEODATA_ORT_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return GeodataOrtPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
